import readbwb
from subprocess import call

dir(readbwb)

# -- Get options
params = readbwb.BwbParams()

cmd = ''
flow = params.flowList[0]

for ifo in params.ifoNames:

    cmd += " --ifo {0}".format(ifo)
    cmd += " --{0}-flow {1}".format(ifo, flow)
    cmd += " --{0}-cache LALAdLIGO".format(ifo)
    cmd += " --{0}-channel LALAdLIGO".format(ifo)
    
cmd += " --trigtime {0}".format(params.gps)
cmd += " --srate {0}".format(params.srate)
cmd += " --seglen {0}".format(params.seglen)
cmd += " --PSDstart {0}".format(params.gps)
cmd += " --PSDlength {0}".format(params.seglen)
cmd += " --dataseed 1234 --0noise --bayesLine"

try:
    cmd += " --MDC-channel {0}".format(params.mdc_channel)
    cmd += " --MDC-cache {0}".format(params.mdc_cache)
    cmd += " --MDC-prefactor {0}".format(params.scale)
except:
    pass


print ""
print cmd

call('BayesWavePostPEC ' + cmd, shell=True)
